Subject: Re: bug#64440: 30.0.50; [PATCH] Highlight on non toolkit menu bar items

From: Po Lu <[email-masked]>
Date: Sat, 21 Oct 2023 20:48:34 +0800

Manuel Giraud <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> Manuel Giraud <[email-masked]> writes:
>>
>>> Alright.  But in such case, I do not really know what to say: I am
>>> adding one argument to all callers based on its siblings' values.
>>
>> In this (and only this) case, our practice is to omit functions modified
>> solely to introduce the new argument from the log message, and to append
>> to the entry designating the recipient of the new argument the words
>> ``All callers changed.''
>>
>> So long as the default value for the argument is straightforward, of
>> course.  If computing the argument demands non-trivial changes, then the
>> ChangeLog should relate them as it would any other.
>
> What about this patch then?
>
> From 5047d98ecd209c514eec50b9c84a32bbddfa414f Mon Sep 17 00:00:00 2001
> From: Manuel Giraud <[email-masked]>
> Date: Sat, 21 Oct 2023 14:36:24 +0200
> Subject: [PATCH] Support for menu bar in window_from_coordinates
>
> * src/window.c (window_from_coordinates): In the no toolkit build, add
> support for the menu bar window.  Add a new 'menu_bar_p' argument so
> the function's signature has changed.  All callers changed.

Better, thanks.  Although the commit message must be filled to 64
columns, and I'd rather callers passing true be enumerated there.